
#
# Patch managed by http://www.mn-logistik.de/unsupported/pxa250/patcher
#

--- aalib-1.4.0/configure.in~configure	2001-04-26 10:37:53.000000000 -0400
+++ aalib-1.4.0/configure.in	2004-01-23 12:50:44.000000000 -0500
@@ -1,8 +1,7 @@
-include(aclocal.m4)
 AC_INIT(src/aalib.c)
-AM_INIT_AUTOMAKE(aalib,1.4.0)
-AC_CANONICAL_HOST
 AC_CANONICAL_TARGET
+AC_CANONICAL_HOST
+AM_INIT_AUTOMAKE(aalib,1.4.0)
 
 AM_CONFIG_HEADER(src/config.h)
 
@@ -82,6 +81,20 @@
 	  force_curses_driver=true
 	fi
 ])
+AC_ARG_WITH(gpm,
+	[  --with-gpm  Specifies whether or not to use gpm],[
+	if test x$withval = xyes
+	then
+		AC_DEFINE(GPM_MOUSEDRIVER)
+		gpm_mousedriver=true
+		AALIB_LIBS="$AALIB_LIBS -lgpm"
+		LIBS="$LIBS -lgpm"
+	else
+		gpm_mousedriver=false
+	fi
+	]
+)
+if ! test x$gpm_mousedriver = xfalse; then
 AC_ARG_WITH(gpm-mouse, 
 	[  --with-gpm-mouse=base-dir  Specifies the base gpm directory],
 	if test x$withval = xyes
@@ -96,6 +109,7 @@
 		AC_MSG_RESULT(defining use_gpm)
 	fi
 )
+fi
 
 if test  "$x_driver_test" = yes; then
 AC_PATH_X
@@ -126,7 +140,7 @@
 
 
 search_ncurses=true
-AC_DEFUN(AC_USE_SUNOS_CURSES, [
+AC_DEFUN([AC_USE_SUNOS_CURSES], [
 	search_ncurses=false
 	curses_driver=true
 	screen_manager="SunOS 4.x /usr/5include curses"
@@ -140,7 +154,7 @@
 	AC_WARN(Reconsider using Slang)
 ])
 
-AC_DEFUN(AC_USE_OSF1_CURSES, [
+AC_DEFUN([AC_USE_OSF1_CURSES], [
        AC_MSG_RESULT(Using OSF1 curses)
        search_ncurses=false
        curses_driver=true
@@ -152,7 +166,7 @@
        AALIB_LIBS="$AALIB_LIBS -lcurses"
 ])
 
-AC_DEFUN(AC_USE_SYSV_CURSES, [
+AC_DEFUN([AC_USE_SYSV_CURSES], [
 	AC_MSG_RESULT(Using SysV curses)
         curses_driver=true
 	AC_DEFINE(USE_SYSV_CURSES)
@@ -208,7 +222,7 @@
 )
 
 if test  "$slang_driver_test" = yes; then
-  AC_DEFUN(AC_SLANG, [
+  AC_DEFUN([AC_SLANG], [
     if $search_slang
     then
         if test -f $1/$2
@@ -246,7 +260,7 @@
 dnl
 dnl Parameters: directory filename LIBS_append CFLAGS_append nicename
 dnl
-AC_DEFUN(AC_NCURSES, [
+AC_DEFUN([AC_NCURSES], [
     if $search_ncurses
     then
         if test -f $1/$2
@@ -274,7 +288,7 @@
 dnl
 dnl Parameters: directory filename LIBS_append CFLAGS_append nicename
 dnl
-AC_DEFUN(AC_CURSES, [
+AC_DEFUN([AC_CURSES], [
     if $search_ncurses
     then
         if test -f $1/$2
